package com.uas.ps.inquiry.dao;

import com.uas.ps.inquiry.model.User;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

/**
 * 用户信息数据库操作
 *
 * Created by hejq on 2018-01-20.
 */
@Repository
public interface UserDao extends JpaSpecificationExecutor<User>, JpaRepository<User, Long> {

    /**
     * 通过手机号查询用户信息
     *
     * @param userTel
     * @return
     */
    User findByUserTel(String userTel);
}

