package com.uas.ps.inquiry.entity;


import com.uas.ps.inquiry.model.PublicInquiryItem;
import com.uas.ps.inquiry.model.PublicInquiryItemInfo;

import java.util.Set;

public class InquiryProductInfo {

	/**
	 * id
	 */
	private Long id;

	/**
	 * 商品信息标题
	 */
	private String title;

	/**
	 * 产品编号
	 */
	private String code;

	/**
	 * 产品规格
	 */
	private String spec;

	/**
	 * 品牌
	 */
	private String brand;

	/**
	 * 单位
	 */
	private String unit;

	/**
	 * 原厂型号
	 */
	private String cmpCode;

	/**
	 * 询价详情
	 */
	private Set<PublicInquiryItem> inquiryItems;

	/**
	 * 公共询价信息明细
	 */
	private Set<PublicInquiryItemInfo> publicInquiryItemInfos;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getSpec() {
		return spec;
	}

	public void setSpec(String spec) {
		this.spec = spec;
	}

	public String getBrand() {
		return brand;
	}

	public void setBrand(String brand) {
		this.brand = brand;
	}

	public String getUnit() {
		return unit;
	}

	public String getCmpCode() {
		return cmpCode;
	}

	public void setCmpCode(String cmpCode) {
		this.cmpCode = cmpCode;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}

	public Set<PublicInquiryItem> getInquiryItems() {
		return inquiryItems;
	}

	public void setInquiryItems(Set<PublicInquiryItem> inquiryItems) {
		this.inquiryItems = inquiryItems;
	}

	public Set<PublicInquiryItemInfo> getPublicInquiryItemInfos() {
		return publicInquiryItemInfos;
	}

	public void setPublicInquiryItemInfos(Set<PublicInquiryItemInfo> publicInquiryItemInfos) {
		this.publicInquiryItemInfos = publicInquiryItemInfos;
	}

    @Override
    public String toString() {
        return "InquiryProductInfo{" +
                "id=" + id +
                ", title='" + title + '\'' +
                ", code='" + code + '\'' +
                ", spec='" + spec + '\'' +
                ", brand='" + brand + '\'' +
                ", unit='" + unit + '\'' +
                ", cmpCode='" + cmpCode + '\'' +
                ", inquiryItems=" + inquiryItems +
                ", publicInquiryItemInfos=" + publicInquiryItemInfos +
                '}';
    }
}
