package com.uas.ps.inquiry.util;

/**
 * 线程方法
 *
 * Created by hejq on 2018-01-14.
 */
public class IRunnableAdapter<T> implements Runnable {
    private final IRunnable<T> task;
    private final T param;

    public IRunnableAdapter(IRunnable<T> task, T param) {
        this.task = task;
        this.param = param;
    }

    public void run() {
        this.task.run(this.param);
    }
}
